#include <stdio.h>
#include <time.h>
#include "allegro.h"

void main(int argc, void *argv[]) {
   clock_t a;
   float Timing;
   allegro_init();
   set_color_depth(16);
   if (set_gfx_mode(GFX_VESA2L,640,480,0,0) < 0) {
      set_gfx_mode(GFX_TEXT, 80, 25, 0, 0);
      printf("%s",allegro_error);
      exit(253);
   }
   Set_MPEG_Pos (10,10);
   a=clock();
   Play_MPEG(argv[1]);
   set_gfx_mode(GFX_TEXT,80,25,0,0);
   Timing = (clock()-a);
   printf("# of clock ticks: %f\n", Timing);
   Timing =Timing / CLOCKS_PER_SEC;
   printf("Elapsed seconds: %f\n",Timing);
   printf("# of frames: %i\n",get_numframes());
   printf("FPS: %f\n", get_numframes() / Timing);
}
